Fred Loan API (v1)

Download OpenAPI specification:

$ref: auth.md

Accounting

Generate entries based on payment schedule for a loan

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise/Dossier ID

loanId
required
integer <int32>

Loan ID

query Parameters
effectiveDate
string <date-time>

Entries will be generated starting at this date. If null, effective date is equals to initial funds release date.

Responses

Response samples

Content type
[
  • "string"
]

Generate cut-off for an enterprise from effective date

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

enterprise Id

query Parameters
effectiveDate
string <date-time>

Cut off effective date

Responses

Response samples

Content type
[
  • "string"
]

Get a list of loans with the cut-off status for a effective date

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

enterprise Id

query Parameters
effectiveDate
string <date-time>

Cut off effective date

Responses

Response samples

Content type
{
  • "Loans": [
    ]
}

Updates the fixed assets for a specific loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan.

Request Body schema:
required

The command containing the fixed assets data to be set.

Array of objects (FixedAssetCommand)

Responses

Request samples

Content type
{
  • "FixedAssets": [
    ]
}

Gets the fixed assets associated with a given loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan.

Responses

Response samples

Content type
[
  • {
    }
]

Gets the accounts associated with a given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

Responses

Response samples

Content type
[
  • {
    }
]

Gets a list of available accounts for a given enterprise and start date.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

query Parameters
startDate
string <date-time>

The start date for which accounts are available.

Responses

Response samples

Content type
[
  • {
    }
]

Generates accounting entries for all active loans of an enterprise. Provide either (targetExerciseStartDate + targetExerciseEndDate) or generateEntryForAllOpenExercises, not both.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
query Parameters
journalId
required
integer <int32>
targetExerciseStartDate
string <date-time>
targetExerciseEndDate
string <date-time>
generateEntryForAllOpenExercises
boolean
disableAutoGeneration
boolean
Default: true

Responses

Response samples

Content type
{
  • "GeneratedLoanPurposes": [
    ],
  • "Failures": [
    ]
}

Loan

Deletes entries associated with a specified loan for a given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command containing the details of the entries to delete.

EnterpriseId
required
integer <int32>
LoanId
required
integer <int32>
StartDate
required
string <date-time>
EndDate
required
string <date-time>

Responses

Request samples

Content type
{
  • "EnterpriseId": 0,
  • "LoanId": 0,
  • "StartDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z"
}

Search loans

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
startDate
required
string <date-time>
endDate
required
string <date-time>
sort
Array of strings

Usage : MyProperty:order,MyProperty2:order

Orders can be : asc: ascending desc: descending

name:desc
q
Array of strings

Usage: MyProperty:operator:MyValue / MyProperty:operator:[MyValue#MyValue2]

Operators can be : eq: equals ne: not equals lt: less than le: less than or equals gt: greater than ge: greater than or equals in: includes

AcquisitionValue:gt:1000 Id:in:[1#2]
group
Array of strings

Usage: MyProperty

name
extends
Array of strings

Usage: MyAdditionalProperty,MyAdditionalProperty2

page
integer <int32>

Default value is 1

limit
integer <int32>

Default value is 50

Responses

Response samples

Content type
{
  • "Items": [
    ],
  • "Groups": [
    ],
  • "Page": 0,
  • "Limit": 0,
  • "TotalItems": 0,
  • "HasMore": true
}

Export assets

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
startDate
required
string <date-time>
endDate
required
string <date-time>
exportType
required
string
Enum: "Html" "Pdf" "Csv" "Excel"

Html, Pdf, Csv, Excel

sort
Array of strings

Usage : MyProperty:order,MyProperty2:order

Orders can be : asc: ascending desc: descending

name:desc
q
Array of strings

Usage: MyProperty:operator:MyValue / MyProperty:operator:[MyValue#MyValue2]

Operators can be : eq: equals ne: not equals lt: less than le: less than or equals gt: greater than ge: greater than or equals in: includes

AcquisitionValue:gt:1000 Id:in:[1#2]
group
Array of strings

Usage: MyProperty

name
extends
Array of strings

Usage: MyAdditionalProperty,MyAdditionalProperty2

columns
Array of strings

Usage: Column1,Column2

Responses

Response samples

Content type
{
  • "Filename": "string",
  • "Url": "string"
}

LoanLoan_GetHeaders

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

Responses

Response samples

Content type
[
  • {
    }
]

Retrieves the loan details for a specified loan ID within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan to retrieve. Must not be the default value.

Responses

Response samples

Content type
{
  • "Id": 0,
  • "EnterpriseId": 0,
  • "LoanNumber": "string",
  • "LoanPurpose": "string",
  • "LenderName": "string",
  • "LenderType": "string"
}

Updates a loan for the given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command to update the loan.

LoanNumber
string
LoanPurpose
required
string
LenderName
required
string
LenderType
required
string
Enum: "CreditEstablishment" "Other"

Responses

Request samples

Content type
{
  • "LoanNumber": "string",
  • "LoanPurpose": "string",
  • "LenderName": "string",
  • "LenderType": "CreditEstablishment"
}

Retrieves the loan characteristics for a specified loan ID within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan to retrieve. Must not be the default value.

Responses

Response samples

Content type
{
  • "LoanCharacteristicFinancials": {
    },
  • "LoanCharacteristicDates": {
    },
  • "Interest": {
    },
  • "Insurance": {
    },
  • "Commission": {
    },
  • "LoanFees": {
    },
  • "EntrySynchronization": {
    }
}

Updates the characteristics of a loan for the given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command to update the loan's characteristics.

Nominal
required
number <decimal>
LoanDurationInMonths
required
integer <int32>
LoanCharacteristicsPaymentMode
required
string
Enum: "Unknown" "FixedPayments" "FixedAmortization" "BalloonPayment"
LoanCharacteristicsPeriodicity
required
string
Enum: "Unknown" "Annual" "Biannually" "Quarterly" "Monthly"
InitialFundsReleaseDate
required
string <date-time>
FirstRepaymentDate
required
string <date-time>
InterestRate
required
number <decimal>
InterestIsFirstPaymentDeadlineProRated
required
boolean
InsuranceRateType
required
string
Enum: "Unknown" "Fixed" "Variable" "None"
InsuranceRate
required
number <decimal>
InsuranceAmount
required
number <decimal>
InsuranceCalculationMethod
required
string
Enum: "Unknown" "InitialLoanAmount" "RemainingBalance"
InsuranceIsFirstPaymentDeadlineProRated
required
boolean
CommissionRateType
required
string
Enum: "Unknown" "Fixed" "Variable" "None"
CommissionRate
required
number <decimal>
CommissionAmount
required
number <decimal>
CommissionCalculationMethod
required
string
Enum: "Unknown" "InitialLoanAmount" "RemainingBalance"
CommissionIsFirstPaymentDeadlineProRated
required
boolean
CommissionAgentIsThirdparty
required
boolean
LoanFeeAmount
required
number <decimal>
AreLoanFeesAddedToFirstRepayment
required
boolean

Responses

Request samples

Content type
{
  • "Nominal": 0,
  • "LoanDurationInMonths": 0,
  • "LoanCharacteristicsPaymentMode": "Unknown",
  • "LoanCharacteristicsPeriodicity": "Unknown",
  • "InitialFundsReleaseDate": "2019-08-24T14:15:22Z",
  • "FirstRepaymentDate": "2019-08-24T14:15:22Z",
  • "InterestRate": 0,
  • "InterestIsFirstPaymentDeadlineProRated": true,
  • "InsuranceRateType": "Unknown",
  • "InsuranceRate": 0,
  • "InsuranceAmount": 0,
  • "InsuranceCalculationMethod": "Unknown",
  • "InsuranceIsFirstPaymentDeadlineProRated": true,
  • "CommissionRateType": "Unknown",
  • "CommissionRate": 0,
  • "CommissionAmount": 0,
  • "CommissionCalculationMethod": "Unknown",
  • "CommissionIsFirstPaymentDeadlineProRated": true,
  • "CommissionAgentIsThirdparty": true,
  • "LoanFeeAmount": 0,
  • "AreLoanFeesAddedToFirstRepayment": true
}

Retrieves the guarantee for a specified loan ID within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan to retrieve. Must not be the default value.

Responses

Response samples

Content type
{
  • "SecurityRights": [
    ],
  • "BankGuarantees": [
    ],
  • "TotalAmount": 0
}

Updates the guarantee for the given enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command to update the guarantee.

Array of objects (UpdateSecurityRight)
Array of objects (UpdateBankGuarantee)

Responses

Request samples

Content type
{
  • "SecurityRights": [
    ],
  • "BankGuarantees": [
    ]
}

Deletes a specified guarantee for a given enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Responses

Retrieves the payment schedule for a specified loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Responses

Response samples

Content type
{
  • "Periods": [
    ],
  • "InsuranceRateType": "Unknown",
  • "InsuranceRate": 0.1,
  • "CommissionRateType": "Unknown",
  • "CommissionRate": 0.1,
  • "EntrySynchronization": {
    },
  • "HasCustomPeriods": true
}

Creates a new payment schedule period for a specified loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command containing the details of the period to create.

NextPeriodId
required
integer <int32>
BeginDate
required
string <date-time>
EndDate
required
string <date-time>
CapitalAmount
required
number <decimal>
InterestAmount
required
number <decimal>
InsuranceAmount
required
number <decimal>
CommissionAmount
required
number <decimal>
OtherAmount
required
number <decimal>

Responses

Request samples

Content type
{
  • "NextPeriodId": 0,
  • "BeginDate": "2019-08-24T14:15:22Z",
  • "EndDate": "2019-08-24T14:15:22Z",
  • "CapitalAmount": 0,
  • "InterestAmount": 0,
  • "InsuranceAmount": 0,
  • "CommissionAmount": 0,
  • "OtherAmount": 0
}

Updates the payment schedule for a specific loan period within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The unique identifier of the enterprise associated with the loan. Must be a positive integer.

loanId
required
integer <int32>

The unique identifier of the loan for which the payment schedule is being updated. Must be a positive integer.

periodId
required
integer <int32>

The unique identifier of the loan period whose payment schedule is to be updated. Must be a positive integer.

Request Body schema:
required

An object containing the updated payment schedule details. Cannot be null.

object (PaymentSchedulePeriodCommand)

Responses

Request samples

Content type
{
  • "PaymentSchedulePeriodCommand": {
    }
}

Deletes a specific payment schedule period for a loan within the specified enterprise.

This operation is idempotent; if the specified payment schedule period does not exist, the method still returns a 204 No Content response. The caller must have write permissions for bookkeeping resources.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The unique identifier of the enterprise that owns the loan. Must be a valid, existing enterprise ID.

loanId
required
integer <int32>

The unique identifier of the loan associated with the payment schedule period. Must be a valid, existing loan ID within the specified enterprise.

periodId
required
integer <int32>

The unique identifier of the payment schedule period to delete. Must be a valid period ID associated with the specified loan.

Responses

Retrieves all loans for a given enterprise, filtered by the loan status and date.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

query Parameters
loanStatus
string
Enum: "All" "Active" "Completed"

The status of loans to retrieve. Defaults to Fred.Loan.Application.Queries.ViewModels.LoanStatusFilter.All.

filterDate
string <date-time>

The date to filter loans by. Defaults to the current date.

Responses

Response samples

Content type
[
  • {
    }
]

Creates a new loan for the given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

Request Body schema:
required

The command to create the loan.

LoanNumber
string
LoanPurpose
required
string
LenderName
required
string
LenderType
required
string
Enum: "CreditEstablishment" "Other"
AccountId
required
integer <int32>
SubAccountId
integer <int32>
AccountName
string

Responses

Request samples

Content type
{
  • "LoanNumber": "string",
  • "LoanPurpose": "string",
  • "LenderName": "string",
  • "LenderType": "CreditEstablishment",
  • "AccountId": 0,
  • "SubAccountId": 0,
  • "AccountName": "string"
}

Response samples

Content type
0
0

Retrieves the loan accounts for the given enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Responses

Response samples

Content type
{
  • "CounterPartyAccount": {
    },
  • "CapitalAccount": {
    },
  • "InterestAccount": {
    },
  • "InsuranceAccount": {
    },
  • "CommissionThirdPartyAccount": {
    },
  • "CommissionFeeAccount": {
    },
  • "ApplicationFeeThirdPartyAccount": {
    },
  • "ApplicationFeeVatAccount": {
    },
  • "ApplicationFeeAccount": {
    }
}

Updates the loan accounts for the given enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command to update the loan accounts.

required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)
required
object (UpdateLoanAccountCommand)

Responses

Request samples

Content type
{
  • "CapitalAccountCommand": {
    },
  • "InterestAccountCommand": {
    },
  • "InsuranceAccountCommand": {
    },
  • "CommissionFeeAccountCommand": {
    },
  • "CommissionThirdPartyAccountCommand": {
    },
  • "CounterPartyAccountCommand": {
    },
  • "ApplicationFeeThirdPartyAccountCommand": {
    },
  • "ApplicationFeeVatAccountCommand": {
    },
  • "ApplicationFeeAccountCommand": {
    }
}

Response samples

Content type
{
  • "CounterPartyAccount": {
    },
  • "CapitalAccount": {
    },
  • "InterestAccount": {
    },
  • "InsuranceAccount": {
    },
  • "CommissionThirdPartyAccount": {
    },
  • "CommissionFeeAccount": {
    },
  • "ApplicationFeeThirdPartyAccount": {
    },
  • "ApplicationFeeVatAccount": {
    },
  • "ApplicationFeeAccount": {
    }
}

Deletes a specified loan for a given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan to delete. Must not be the default value.

Responses

Deletes all loans for a specified enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

Responses

Retrieves the loan events for a specified loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Responses

Response samples

Content type
{
  • "RepaymentsDeferrals": [
    ],
  • "FundsReleases": [
    ],
  • "LoanRenegotiations": [
    ],
  • "PaymentScheduleManualAmountChanges": [
    ],
  • "AdvanceRepayments": [
    ]
}

Updates the loan events for the given enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command to update the loan events.

Array of objects (RepaymentDeferralModel)
Array of objects (FundsReleaseModel)
Array of objects (LoanRenegotiationModel)
Array of objects (PaymentScheduleManualAmountChangeModel)
Array of objects (AdvanceRepaymentModel)

Responses

Request samples

Content type
{
  • "RepaymentsDeferrals": [
    ],
  • "FundsReleases": [
    ],
  • "LoanRenegotiations": [
    ],
  • "PaymentScheduleManualAmountChanges": [
    ],
  • "AdvanceRepayments": [
    ]
}

Simulates the impact of a specified loan event on a loan for a given enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command containing the details of the loan event to simulate.

Array of objects (RepaymentDeferralModel)
Array of objects (FundsReleaseModel)
Array of objects (LoanRenegotiationModel)
Array of objects (PaymentScheduleManualAmountChangeModel)
Array of objects (AdvanceRepaymentModel)

Responses

Request samples

Content type
{
  • "RepaymentsDeferrals": [
    ],
  • "FundsReleases": [
    ],
  • "LoanRenegotiations": [
    ],
  • "PaymentScheduleManualAmountChanges": [
    ],
  • "AdvanceRepayments": [
    ]
}

Response samples

Content type
{
  • "Periods": [
    ],
  • "InsuranceRateType": "Unknown",
  • "InsuranceRate": 0.1,
  • "CommissionRateType": "Unknown",
  • "CommissionRate": 0.1,
  • "EntrySynchronization": {
    },
  • "HasCustomPeriods": true
}

Reverts the last loan event for the given enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Responses

Retrieves the history of a specified loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Responses

Response samples

Content type
[
  • {
    }
]

Adds a new history entry for the given enterprise and loan.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The command containing the details of the history entry to add.

Description
required
string
Type
required
string
Enum: "Unknown" "Guarantee" "FixedAsset" "BookEntry" "CutOff" "LoanCreated" "PaymentScheduleAutomatic" "PaymentScheduleManual" "FundsRelease" "LoanRenegotiation" "RepaymentDeferral" "PaymentScheduleManualAmountChange" "AdvanceRepayment" "CapitalAccountChange" "AnalyticsChange" "SubAccountFallback"
Details
string

Responses

Request samples

Content type
{
  • "Description": "string",
  • "Type": "Unknown",
  • "Details": "string"
}

Response samples

Content type
{
  • "UserId": 0,
  • "Description": "string",
  • "Type": "Unknown",
  • "Details": "string",
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "IsReverted": true
}

Retrieves the matched bank reconciliation entry lines for a specified loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

query Parameters
startDate
string <date-time>

The start date for the reconciliation period.

endDate
string <date-time>

The end date for the reconciliation period.

Responses

Response samples

Content type
{
  • "HasLockedEntry": true,
  • "PaymentSchedulePeriodEntryLines": [
    ]
}

Retrieves the unmatched bank entry lines for a specified loan within an enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

query Parameters
startDate
string <date-time>

The start date for the reconciliation period.

endDate
string <date-time>

The end date for the reconciliation period.

Responses

Response samples

Content type
{
  • "HasLockedEntry": true,
  • "UnmatchedPaymentScheduleEntryLines": [
    ]
}

Retrieves a list of unreconciled loans for a given enterprise within a specified date range.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

query Parameters
startDate
string <date-time>

The start date for the reconciliation period.

endDate
string <date-time>

The end date for the reconciliation period.

Responses

Response samples

Content type
[
  • {
    }
]

Retrieves a list of bank entry lines for a given enterprise within a specified date range.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

query Parameters
startDate
string <date-time>

The start date for the reconciliation period.

endDate
string <date-time>

The end date for the reconciliation period.

Responses

Response samples

Content type
{
  • "HasLockedEntry": true,
  • "BankReconciliationBankEntryLines": {
    }
}

Matches bank entry lines to a loan for bank reconciliation.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

loanId
required
integer <int32>

The ID of the loan. Must not be the default value.

Request Body schema:
required

The IDs of the bank entry lines to match. Must not be empty or null.

Array
integer <int64>

Responses

Request samples

Content type
[
  • 0
]

Consolidate manual payment schedule periods to be linked ECH1: 10/01/2022 - 9/02/2022 ECH2: 10/02/2022 - 9/03/2022

Authorizations:
oauth2
path Parameters
accountingFirmId
required
integer <int32>
Request Body schema:
required
AccountingFolderIds
Array of integers <int32> [ items <int32 > ]
IsDryRun
required
boolean

Responses

Request samples

Content type
{
  • "AccountingFolderIds": [
    ],
  • "IsDryRun": true
}

Response samples

Content type
{
  • "Results": [
    ],
  • "Errors": [
    ],
  • "HasErrors": true
}

AIImport

Imports a payment schedule from a PDF file for a specified enterprise and loan using AI processing.

The method only accepts PDF files. If a file with a different extension is provided, the request will be rejected with a Bad Request response. The operation is performed asynchronously and requires appropriate write permissions for bookkeeping resources.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The unique identifier of the enterprise for which the payment schedule is being imported. This parameter is required and cannot be null.

loanId
required
integer <int32>

The unique identifier of the loan associated with the payment schedule. This parameter is required and cannot be null.

query Parameters
effectiveDate
string <date-time>

An optional date indicating when the imported payment schedule becomes effective. If specified, must be a valid date.

Request Body schema: multipart/form-data
attachmentFile
string <binary>

The PDF file containing the payment schedule to import. The file must have a .pdf extension and be provided as a form file.

Responses

Response samples

Content type
0
0

Retrieves a list of imported files for the specified enterprise and loan, filtered by the provided statuses.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The unique identifier of the enterprise for which to retrieve imported files.

loanId
required
integer <int32>

The unique identifier of the loan associated with the imported files.

Request Body schema:

A list of file statuses to filter the imported files. Only files matching these statuses are returned. Cannot be null.

Array
string
Enum: "InProgress" "Failed" "Completed" "Cancelled" "Validated"

Responses

Request samples

Content type
[
  • "InProgress"
]

Response samples

Content type
[
  • {
    }
]

Retrieves the import status of a payment schedule file identified by its unique ID.

This endpoint returns the current status of a file import operation. Use this method to monitor the progress or result of a payment schedule file import. The response is Microsoft.AspNetCore.Http.StatusCodes.Status200OK if the file status is successfully retrieved, or Microsoft.AspNetCore.Http.StatusCodes.Status400BadRequest if the request is invalid.

Authorizations:
oauth2
path Parameters
importedFileId
required
integer <int32>

The unique identifier of the imported payment schedule file. Must be a valid integer greater than zero.

enterpriseId
required
string
loanId
required
string

Responses

Response samples

Content type
{
  • "ImportedFileId": 0,
  • "FileName": "string",
  • "Status": "InProgress",
  • "UpdateDate": "2019-08-24T14:15:22Z",
  • "ImportedHeaders": [
    ],
  • "ProposedMappings": {
    }
}

Creates a header mapping for an imported payment schedule file associated with the specified enterprise and loan.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The unique identifier of the enterprise for which the header mapping is being created. Must be a valid, existing enterprise ID.

loanId
required
integer <int32>

The unique identifier of the loan related to the imported payment schedule file. Must be a valid, existing loan ID.

importedFileId
required
integer <int32>

The unique identifier of the imported payment schedule file. Must refer to a file that has been previously imported.

Request Body schema:
required

The header mapping submission data containing validated mappings for the imported file. Cannot be null.

object

Responses

Request samples

Content type
{
  • "ValidatedMappings": {
    }
}

Bank

LoanBank_GetBanks

Authorizations:
oauth2

Responses

Response samples

Content type
[
  • {
    }
]

LoanBank_CreateBanks

Authorizations:
oauth2
Request Body schema:
required
Banks
Array of strings

Responses

Request samples

Content type
{
  • "Banks": [
    ]
}

Configuration

Retrieves the configuration for a specified enterprise.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

Enterprise ID

Responses

Response samples

Content type
{
  • "Id": 0,
  • "DomainEvents": [
    ],
  • "DomainErrors": [
    ],
  • "IsValid": true,
  • "HasDomainEvents": true,
  • "CreatedAt": "2019-08-24T14:15:22Z",
  • "UpdatedAt": "2019-08-24T14:15:22Z",
  • "UpdatedByUserId": 0,
  • "EnterpriseId": 0,
  • "GenerateEntryForNewExercise": true,
  • "JournalId": 0
}

Document

LoanDocument_GetDocuments

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
loanId
required
integer <int32>

Responses

Response samples

Content type
[
  • {
    }
]

LoanDocument_AddDocument

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
loanId
required
integer <int32>
Request Body schema: multipart/form-data
attachmentFile
string <binary>

Responses

LoanDocument_DeleteDocument

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
loanId
required
integer <int32>
query Parameters
documentId
required
integer <int32>

Responses

LoanDocument_GetDocumentTempPublicUrl

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>
loanId
required
integer <int32>
documentId
required
integer <int32>

Responses

Response samples

Content type
"string"

LoanV2

Import loans from file.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
provider
string
Value: "Agiris"
Request Body schema: multipart/form-data
required
attachmentFile
required
string <binary>

Responses

Import loans and payment schedule from file.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>
query Parameters
provider
string
Value: "Agiris"
Request Body schema: multipart/form-data
required
attachmentFile
required
string <binary>

Responses

Analyse a payment schedule for a loan.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

loanId
required
integer <int32>

The loan identifier.

query Parameters
documentId
required
integer <int32>

The document identifier.

Responses

Response samples

Content type
{
  • "Headers": [
    ],
  • "Periods": [
    ]
}

Sets the payment schedule for a loan.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

loanId
required
integer <int32>

The loan identifier.

Request Body schema:
required

The command to set the payment schedule.

AccountingFolderId
required
integer <int32>
LoanId
required
integer <int32>
object (PaymentScheduleV2)

Responses

Request samples

Content type
{
  • "AccountingFolderId": 0,
  • "LoanId": 0,
  • "PaymentSchedule": {
    }
}

Removes the payment schedule for a loan.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

loanId
required
integer <int32>

The loan identifier.

Responses

Imports a payment schedule for a specified loan from an uploaded file.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The identifier of the accounting folder into which the payment schedule will be imported. This value is required.

loanId
required
integer <int32>

The identifier of the loan associated with the payment schedule being imported.

query Parameters
provider
string
Enum: "Inqom" "ACD" "Agiris"

The provider to use for importing the payment schedule. The provider determines the format and processing logic for the import.

effectiveDate
string <date-time>

An optional date indicating when the imported payment schedule becomes effective. If not specified, the current date is used.

Request Body schema: multipart/form-data
attachmentFile
string <binary>

The file containing the payment schedule data to import. This parameter must not be null.

Responses

Exports the payment schedule for a loan to a CSV file.

Authorizations:
oauth2
path Parameters
accountingFolderId
required
integer <int32>

The accounting folder identifier.

loanId
required
integer <int32>

The loan identifier.

Responses

Response samples

Content type
{
  • "Name": "string",
  • "Url": "string"
}

Report

Generates a list report of loans for a specific enterprise within a date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the reporting period

endDate
required
string <date-time>

End date of the reporting period

Responses

Response samples

Content type
[
  • {
    }
]

Generates a prediction report for loans within a specific enterprise and date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the prediction period

endDate
required
string <date-time>

End date of the prediction period

Responses

Response samples

Content type
[
  • {
    }
]

Generates a forecast table report for a specific enterprise within a date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the forecast period

endDate
required
string <date-time>

End date of the forecast period

Responses

Response samples

Content type
{
  • "DotationYears": [
    ],
  • "Categories": [
    ],
  • "Total": {
    }
}

Exports the forecast table for a specific enterprise and period to a file

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
exportType
required
string
Enum: "Html" "Pdf" "Csv" "Excel"

Type of export file (PDF by default)

startDate
required
string <date-time>

Start date of the period

endDate
required
string <date-time>

End date of the period

Responses

Response samples

Content type
"string"

Retrieves the forecast table section for a specified enterprise within a given date range.

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise.

query Parameters
startDate
required
string <date-time>

Start date of the period.

endDate
required
string <date-time>

End date of the period.

Responses

Response samples

Content type
"string"

Generates a capital report for loans within a specific enterprise and date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the reporting period

endDate
required
string <date-time>

End date of the reporting period

Responses

Response samples

Content type
[
  • {
    }
]

Generates a loans table report for a specific enterprise within a date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the reporting period

endDate
required
string <date-time>

End date of the reporting period

Responses

Response samples

Content type
[
  • {
    }
]

Generates an engagement report for a specific enterprise within a date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the reporting period

endDate
required
string <date-time>

End date of the reporting period

Responses

Response samples

Content type
{
  • "Rows": [
    ],
  • "Total": {
    }
}

Generates a comparison report between accounting and module data for a specific enterprise within a date range

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
required
string <date-time>

Start date of the comparison period

endDate
required
string <date-time>

End date of the comparison period

Responses

Response samples

Content type
{
  • "Rows": [
    ],
  • "Total": {
    },
  • "Period": {
    }
}

Exports the comparison report to a file in the specified format

Authorizations:
oauth2
path Parameters
enterpriseId
required
integer <int32>

The ID of the enterprise

query Parameters
startDate
string <date-time>

Start date of the comparison period

endDate
string <date-time>

End date of the comparison period

exportType
string
Default: "Pdf"
Enum: "Html" "Pdf" "Csv" "Excel"

Type of export format (PDF by default)

Responses

Response samples

Content type
"string"